# Created by pyp2rpm-3.3.1
%global pypi_name pytest-django

Name:           python-%{pypi_name}
Version:        4.5.2
Release:        %mkrel 4
Summary:        A Django plugin for pytest
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/pytest-django
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(flask)
BuildRequires:  python3dist(flask-sphinx-themes)
BuildRequires:  python3dist(funcsigs)
BuildRequires:  python3dist(django)

%description
pytest-django allows you to test your Django project/applications with the
pytest testing tool.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(pytest) >= 2.9
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
pytest-django allows you to test your Django project/applications with the
pytest testing tool.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files pytest_django

%check
#pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%doc html


%changelog
* Fri Dec 27 2024 papoteur <papoteur> 4.5.2-4.mga10
+ Revision: 2130483
- add and use pytest

* Fri Dec 08 2023 wally <wally> 4.5.2-3.mga10
+ Revision: 2015715
- rebuild for py3.12

* Fri Apr 01 2022 umeabot <umeabot> 4.5.2-2.mga9
+ Revision: 1838186
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 mrambo3501 <mrambo3501> 4.5.2-1.mga9
+ Revision: 1775820
- version 4.5.2
- rebuild for python-3.10

* Sun Jun 06 2021 kekepower <kekepower> 4.4.0-1.mga9
+ Revision: 1729918
- Update to version 4.4.0

* Mon May 24 2021 kekepower <kekepower> 4.3.0-1.mga9
+ Revision: 1727418
- Update to version 4.3.0

* Sun Dec 13 2020 guillomovitch <guillomovitch> 4.1.0-1.mga8
+ Revision: 1656424
- new version 4.1.0

* Thu Apr 09 2020 kekepower <kekepower> 3.9.0-1.mga8
+ Revision: 1565699
- Update to version 3.9.0

* Fri Feb 28 2020 kekepower <kekepower> 3.8.0-1.mga8
+ Revision: 1551345
- Update to version 3.8.0

* Sun Feb 16 2020 umeabot <umeabot> 3.5.1-3.mga8
+ Revision: 1532758
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 tv <tv> 3.5.1-2.mga8
+ Revision: 1442927
- rebuild for python-3.8

* Fri Aug 30 2019 wally <wally> 3.5.1-1.mga8
+ Revision: 1435497
- new version 3.5.1
- drop python2 support
- move html docs into main pkg

* Tue Feb 26 2019 kekepower <kekepower> 3.4.8-1.mga7
+ Revision: 1370251
- Update to version 3.4.8

* Sun Feb 03 2019 kekepower <kekepower> 3.4.7-1.mga7
+ Revision: 1362987
- Update to version 3.4.7

* Fri Feb 01 2019 kekepower <kekepower> 3.4.6-1.mga7
+ Revision: 1362260
- Update to version 3.4.6

* Thu Jan 10 2019 kekepower <kekepower> 3.4.5-1.mga7
+ Revision: 1354572
- Disable py3 test for now
- Update to version 3.4.5
- Rebuild for Python 3.7
- Update to version 3.4.4

* Thu Sep 20 2018 umeabot <umeabot> 3.2.1-2.mga7
+ Revision: 1289870
- Mageia 7 Mass Rebuild

* Wed May 02 2018 kekepower <kekepower> 3.2.1-1.mga7
+ Revision: 1224981
- BR python-django
- BR python-funcsigs
- imported package python-pytest-django

